# nn_reallocmsg(3compat) Manual Page

## NAME

nn_reallocmsg - reallocate message (compatible API)

## SYNOPSIS

    #include <nanomsg/nn.h>

    void *nn_reallocmsg(void *old, size_t size);

## DESCRIPTION

The `nn_reallocmsg()` reallocates the message old, making it of size size.

| This function is provided for API compatibility with legacy libnanomsg. Consider using the relevant modern API instead.

On success, the contents of old are copied into the new message (truncating if appropriate), then old is deallocated, and a pointer to the new message payload is returned.

On failure, the old message is unchanged, and the value `NULL` is returned to the caller.

## RETURN VALUES

This function returns a pointer to message buffer space, or `NULL` on failure.

## ERRORS

`ENOMEM` | Insufficient memory is available.
`EINVAL` | An invalid size was specified.
`ETERM` | The library is shutting down.

## SEE ALSO

nn_allocmsg(3compat), nn_freemsg(3compat), nn_errno(3compat), nng_compat(3compat), nng(7)